<div class="row">
    <div class="col-md-12">
        <div class="card card-form pl-4 pr-2">
            <div class="card-header">
                <h4 class="card-title primary" id="striped-row-layout-icons">{{ routeTitle | translate }}</h4>
            </div>
            <div class="card-body">
                <div class="px-3">
                    <form novalidate [formGroup]="adminForm" (ngSubmit)="onSubmit()" class="form form-horizontal form-bordered">
                        <div class="form-body">
                            <!-- First name -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="firstName">{{ 'forms.fields.firstName' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="firstName" formControlName="firstName" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="adminForm.get('firstName').hasError('required') && (adminForm.get('firstName').dirty || adminForm.get('firstName').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Last name -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="lastName">{{ 'forms.fields.lastName' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="lastName" formControlName="lastName" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="adminForm.get('lastName').hasError('required') && (adminForm.get('lastName').dirty || adminForm.get('lastName').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Identification -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="identification">{{ 'forms.fields.identification' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="identification" formControlName="identification" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="adminForm.get('identification').hasError('required') && (adminForm.get('identification').dirty || adminForm.get('identification').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Email -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="email">{{ 'forms.fields.email' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="email" class="form-control" name="email" formControlName="email" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="adminForm.get('email').hasError('required') && (adminForm.get('email').dirty || adminForm.get('email').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                    <small class="form-text text-muted danger" *ngIf="adminForm.get('email').hasError('email') && (adminForm.get('email').dirty || adminForm.get('email').touched)">
                                        {{ 'forms.messages.invalidEmail' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Phone -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="phone">{{ 'forms.fields.phone' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="phone" formControlName="phone" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="adminForm.get('phone').hasError('required') && (adminForm.get('phone').dirty || adminForm.get('phone').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Profession -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="phone">{{ 'forms.fields.profession' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="profession" formControlName="profession" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="adminForm.get('profession').hasError('required') && (adminForm.get('profession').dirty || adminForm.get('profession').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Workplace -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="workplace">{{ 'forms.fields.workplace' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="workplace" formControlName="workplace" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="adminForm.get('workplace').hasError('required') && (adminForm.get('workplace').dirty || adminForm.get('workplace').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Password -->
                            <div class="form-group row">
                              <label class="col-md-3 label-control" for="password">{{ 'forms.fields.password' | translate }}</label>
                              <div class="col-md-6">
                                <div class="position-relative">
                                   <input type="password" class="form-control" formControlName="password" maxlength="15">
                                </div>
                                <small class="form-text text-muted danger" *ngIf="adminForm.get('password').hasError('required') && (adminForm.get('password').dirty || adminForm.get('password').touched)">
                                    {{ 'forms.messages.required' | translate }}
                                </small>
                                <small class="form-text text-muted danger" *ngIf="!adminForm.get('password').hasError('required') && adminForm.get('password').hasError('minlength') && (adminForm.get('password').dirty || adminForm.get('password').touched)">
                                    {{ 'forms.messages.minLength' | translate: { quantity: 6 } }}
                                </small>
                                <small class="form-text text-muted danger" *ngIf="!adminForm.get('password').hasError('required') && adminForm.get('password').hasError('maxlength') && (adminForm.get('password').dirty || adminForm.get('password').touched)">
                                    {{ 'forms.messages.maxLenght' | translate: { quantity: 15 } }}
                                </small>
                              </div>
                            </div>
                            <!-- Input file -->
                            <div class="form-group row last">
                                <label class="col-md-3 label-control" for="avatarUrl">{{ 'forms.fields.avatar' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <app-input-file [previewUrl]="adminForm.get('avatarUrl').value" (sendFile)="changeFile($event)"></app-input-file>
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="adminForm.get('avatarUrl').hasError('required')">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Actions -->
                            <div class="form-actions right">
                                <button type="button" class="btn btn-white black mr-1" (click)="goBack()">
                                    {{ 'forms.buttons.cancel' | translate }}
                                </button>
                                <button type="submit" class="btn btn-raised btn-secondary" [disabled]="!adminForm.valid">
                                    {{ 'forms.buttons.save' | translate }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>